## osmosis 0.49.2

=== debian/changelog ===
osmosis (0.49.2-2) unstable; urgency=medium

  * Add autopkgtest to verify PBF to XML conversion.
  * Fix plexus configuration.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Dec 2023 17:22:12 +0100

osmosis (0.49.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Maven packaging for JPF dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Dec 2023 09:31:36 +0100

osmosis (0.49.1-1) unstable; urgency=medium

  * Drop obsolete 04-osmosis-version.patch.
  * Various ShellCheck fixed for osmosis launcher.
  * Drop obsolete default-jdk-doc build dependency.
  * Strip unusable maven:CompileDepends from substvars.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Nov 2023 07:21:48 +0100

osmosis (0.49.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update install paths.
  * Refresh patches.
  * Drop obsolete (build) dependencies.
  * Switch build system from gradle to maven.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Nov 2023 14:53:52 +0100

=== debian/control ===
Source: osmosis
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               dh-exec,
               dh-sequence-maven-repo-helper,
               junit4 (>= 4.10),
               libcommons-codec-java,
               libcommons-compress-java (>= 1.4.1),
               libcommons-csv-java,
               libcommons-dbcp-java,
               libcommons-io-java,
               libguava-java,
               libjpf-java,
               libmariadb-java,
               libmaven-clean-plugin-java,
               libmaven-compiler-plugin-java,
               libmaven-exec-plugin-java,
               libosmpbf-java,
               libpostgis-java (>= 1:2021.1.0),
               libpostgresql-jdbc-java,
               libprotobuf-java (>= 3.12.2),
               libspring-jdbc-java,
               libsurefire-java,
               maven-debian-helper,
               maven-repo-helper
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmosis
Vcs-Git: https://salsa.debian.org/debian-gis-team/osmosis.git
Homepage: https://wiki.openstreetmap.org/wiki/Osmosis
Rules-Requires-Root: no

Package: osmosis
Architecture: all
Depends: default-jre-headless | java17-runtime-headless,
         libcommons-logging-java,
         libcommons-pool-java,
         libplexus-classworlds-java,
         libspring-beans-java,
         libspring-core-java,
         libspring-transaction-java,
         ${maven:Depends},
         ${misc:Depends}
Description: Command line OpenStreetMap data processor
 Osmosis consists of a series of components that can be chained together
 in order to perform operations on an OpenStreetMap database or
 OpenStreetMap XML or PBF files. Such operations include:
  * Generate and load dumps from and to a database.
  * Produce changesets comparing databases and files and applying
    them to other databases and files.
  * Sort data contained in a file.
  * Extract data contained in a bounding box or in a polygon.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java/

DB2MAN := /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet -''-param man.charmap.use.subset "0"

debian/osmosis.1: debian/osmosis.xml
	$(XP) -o $@ $(DB2MAN) $<

%:
	dh $@ --buildsystem=maven

override_dh_installchangelogs:
	dh_installchangelogs -- osmosis/src/dist/changes.txt

override_dh_compress:
	dh_compress -X.conf -X.sql

execute_before_dh_gencontrol:
	sed -i '/^maven:CompileDepends.*/d' debian/*substvars

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|osmosis)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osmosis-$1.$2/ \
https://github.com/openstreetmap/osmosis/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|osmosis)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmosis ai-0.2.2

=== requirements.txt ===
# Core requirements
python-dotenv>=0.1.0,<2.0.0
requests>=2.0.0,<3.0.0
xxhash>=3.0.0,<4.0.0

# LLM provider clients - install the ones you need
anthropic>=0.36.0,<0.50.0  # For Claude API
openai>=2.0.0  # For OpenAI API
google-genai>=0.5.0,<1.0.0  # For Google Gemini SDK
xai-sdk>=1.2.0

## osmosis protobuf-0.0.1

=== requirements.txt ===
grpcio-tools ==1.46.3
